> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vinmake.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Vat Invoices

> List VAT invoices with pagination, direction/status filters, and search.



## OpenAPI

````yaml /api/openapi-cutmake.json get /vat-invoices
openapi: 3.1.0
info:
  title: VM App API
  version: 0.1.0
servers:
  - url: https://vinmake-erp.onrender.com
security: []
paths:
  /vat-invoices:
    get:
      tags:
        - VAT Invoices
      summary: List Vat Invoices
      description: List VAT invoices with pagination, direction/status filters, and search.
      operationId: list_vat_invoices_vat_invoices_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 10
            title: Limit
        - name: direction
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: output | input
            title: Direction
          description: output | input
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Status
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: sort
          in: query
          required: false
          schema:
            type: string
            default: '-created_at'
            title: Sort
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedVatInvoicesResponse'
        '404':
          description: Not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    PaginatedVatInvoicesResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/VatInvoiceResponse'
          type: array
          title: Data
        pagination:
          $ref: '#/components/schemas/core__pagination__PaginationInfo'
      type: object
      required:
        - data
        - pagination
      title: PaginatedVatInvoicesResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    VatInvoiceResponse:
      properties:
        id:
          type: string
          title: Id
        direction:
          type: string
          title: Direction
        formNo:
          anyOf:
            - type: string
            - type: 'null'
          title: Formno
        serial:
          anyOf:
            - type: string
            - type: 'null'
          title: Serial
        invoiceNumber:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoicenumber
        taxAuthorityCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Taxauthoritycode
        issueDate:
          anyOf:
            - type: string
            - type: 'null'
          title: Issuedate
        sellerName:
          anyOf:
            - type: string
            - type: 'null'
          title: Sellername
        sellerTaxCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Sellertaxcode
        buyerName:
          anyOf:
            - type: string
            - type: 'null'
          title: Buyername
        buyerTaxCode:
          anyOf:
            - type: string
            - type: 'null'
          title: Buyertaxcode
        clientId:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientid
        clientName:
          anyOf:
            - type: string
            - type: 'null'
          title: Clientname
        supplierId:
          anyOf:
            - type: string
            - type: 'null'
          title: Supplierid
        supplierName:
          anyOf:
            - type: string
            - type: 'null'
          title: Suppliername
        invoiceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Invoiceid
        billId:
          anyOf:
            - type: string
            - type: 'null'
          title: Billid
        currency:
          anyOf:
            - type: string
            - type: 'null'
          title: Currency
        exchangeRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Exchangerate
        subtotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Subtotal
        vatRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatrate
        vatAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatamount
        totalAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Totalamount
        adjustmentType:
          anyOf:
            - type: string
            - type: 'null'
          title: Adjustmenttype
        replacesVatInvoiceId:
          anyOf:
            - type: string
            - type: 'null'
          title: Replacesvatinvoiceid
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
        notes:
          anyOf:
            - type: string
            - type: 'null'
          title: Notes
        createdAt:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdat
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        lineItems:
          anyOf:
            - items:
                $ref: '#/components/schemas/VatInvoiceLineItem'
              type: array
            - type: 'null'
          title: Lineitems
      type: object
      required:
        - id
        - direction
      title: VatInvoiceResponse
    core__pagination__PaginationInfo:
      properties:
        page:
          type: integer
          title: Page
        limit:
          type: integer
          title: Limit
        total:
          type: integer
          title: Total
        totalPages:
          type: integer
          title: Totalpages
        hasNext:
          type: boolean
          title: Hasnext
        hasPrev:
          type: boolean
          title: Hasprev
      type: object
      required:
        - page
        - limit
        - total
        - totalPages
        - hasNext
        - hasPrev
      title: PaginationInfo
      description: |-
        Pagination metadata following API standards.

        Attributes:
            page: Current page number (1-indexed)
            limit: Items per page
            total: Total number of items matching query
            totalPages: Total number of pages
            hasNext: Whether there is a next page
            hasPrev: Whether there is a previous page
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    VatInvoiceLineItem:
      properties:
        id:
          type: string
          title: Id
        vatInvoiceId:
          type: string
          title: Vatinvoiceid
        lineNo:
          anyOf:
            - type: integer
            - type: 'null'
          title: Lineno
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        qty:
          anyOf:
            - type: number
            - type: 'null'
          title: Qty
        uom:
          anyOf:
            - type: string
            - type: 'null'
          title: Uom
        unitPrice:
          anyOf:
            - type: number
            - type: 'null'
          title: Unitprice
        lineSubtotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Linesubtotal
        vatRate:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatrate
        vatAmount:
          anyOf:
            - type: number
            - type: 'null'
          title: Vatamount
        lineTotal:
          anyOf:
            - type: number
            - type: 'null'
          title: Linetotal
      type: object
      required:
        - id
        - vatInvoiceId
      title: VatInvoiceLineItem
      description: A line item as returned to the client.

````